## networking-bgpvpn 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
sphinxcontrib-blockdiag # BSD
sphinxcontrib-seqdiag # BSD
neutron-lib>=1.1.0 # Apache-2.0

=== debian/changelog ===
networking-bgpvpn (6.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Add watch file.
  * New upstream release. 
  * d/control: Adjust dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 10:16:18 -0500

networking-bgpvpn (5.0.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 10:05:30 -0500

networking-bgpvpn (5.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 15:01:28 -0500

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>=9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx
Build-depends-Indep: python-babel (>= 1.3),
                     python-django-nose,
                     python-neutron-lib (>= 0.4.0),
                     python-networking-odl,
                     python-oslo.config (>= 2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.8.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx,
                     python-oslotest (>= 1.10.0),
                     python-psycopg2,
                     python-pymysql,
                     python-sphinxcontrib.blockdiag,
                     python-sphinxcontrib.seqdiag,
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools,
                     python-networking-bagpipe,
                     python-webob,
                     python-webtest,
                     python-os-testr (>= 0.8.0)
Standards-Version: 3.9.7

Package: python-networking-bgpvpn
Architecture: all
Depends: python-babel (>= 1.3),
         python-neutron-lib (>= 0.4.0),
         python-oslo.config (>= 2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.utils (>= 2.0.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-networking-bgpvpn-doc
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 2)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 2.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/networking-bgpvpn/networking-bgpvpn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## networking-bgpvpn 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
sphinxcontrib-blockdiag # BSD
sphinxcontrib-seqdiag # BSD
neutron-lib>=1.9.0 # Apache-2.0

=== debian/changelog ===
networking-bgpvpn (7.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 15:15:48 +0000

networking-bgpvpn (7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:56:43 -0400

networking-bgpvpn (7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:20:20 -0400

networking-bgpvpn (7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:40:31 -0400

networking-bgpvpn (7.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:23:37 -0400

networking-bgpvpn (7.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:34:44 +0100

networking-bgpvpn (7.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * Align (Build-)Depends with upstream milestone.
  * New upstream milestone for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 16:33:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,45 +6,45 @@
                dh-python,
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx
+               python-sphinx (>= 1.5.1),
 Build-depends-Indep: python-babel (>= 1.3),
                      python-django-nose,
-                     python-neutron-lib (>= 0.4.0),
+                     python-networking-bagpipe,
                      python-networking-odl,
-                     python-oslo.config (>= 2.3.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.8.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.utils (>= 2.0.0),
-                     python-oslosphinx,
+                     python-neutron-lib (>= 1.9.0),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-os-testr (>= 0.8.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.db (>= 4.24.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-psycopg2,
                      python-pymysql,
                      python-sphinxcontrib.blockdiag,
                      python-sphinxcontrib.seqdiag,
+                     python-tempest (>= 1:16.1.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools,
-                     python-networking-bagpipe,
-                     python-webob,
-                     python-webtest,
-                     python-os-testr (>= 0.8.0)
+                     python-webob (>= 1.7.1),
 Standards-Version: 3.9.7
 
 Package: python-networking-bgpvpn
 Architecture: all
 Depends: python-babel (>= 1.3),
-         python-neutron-lib (>= 0.4.0),
-         python-oslo.config (>= 2.3.0),
-         python-oslo.db (>= 2.4.1),
+         python-neutron-lib (>= 1.9.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.utils (>= 3.20.0),
          ${misc:Depends},
-         ${python:Depends}
-Suggests: python-networking-bgpvpn-doc
+         ${python:Depends},
+Suggests: python-networking-bgpvpn-doc,
 Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 2)
  This project provides an API and Framework to interconnect BGP/MPLS VPNs
  to Openstack Neutron networks, routers and ports.
@@ -61,7 +61,8 @@
 Package: python-networking-bgpvpn-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
  This project provides an API and Framework to interconnect BGP/MPLS VPNs
  to Openstack Neutron networks, routers and ports.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bgpvpn networking-bgpvpn-(\d.*)\.tar\.gz

## networking-bgpvpn 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
oslo.config>=5.1.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
neutron-lib>=1.13.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# dependencies managed in tools/tox_install.sh for master branch:
# - openstack/neutron
# - openstack/horizon
# - openstack/networking-bagpipe
# - openstack/networking-odl

=== debian/changelog ===
networking-bgpvpn (8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:48:02 +0000

networking-bgpvpn (8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.
  * d/rules: Blacklist bagpipe unit tests due to circular dependency.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:28 +0000

networking-bgpvpn (8.0.0~b3-0ubuntu3) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.blockdiag/seqdiag.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 14:03:03 -0500

networking-bgpvpn (8.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/rules: Re-enable tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 13:05:28 -0500

networking-bgpvpn (8.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Temporarily disable tests due to circular dependency in
    networking-bagpipe.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 14:28:19 -0500

networking-bgpvpn (8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 16:01:51 +0000

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-django-nose (>= 1.4.4),
 python-hacking (>= 0.12.0),
 python-networking-bagpipe,
 python-networking-odl,
 python-neutron-lib (>= 1.13.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-sphinxcontrib.blockdiag,
 python-sphinxcontrib.seqdiag,
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
Standards-Version: 4.1.2

Package: python-networking-bgpvpn
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-debtcollector (>= 1.2.0),
 python-neutron-lib (>= 1.13.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-sphinxcontrib.blockdiag,
 python-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-networking-bgpvpn-doc,
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 2)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 2.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-networking-bgpvpn; \
    done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr --black-regex '.bagpipe'
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-bgpvpn-doc/usr/share/doc/python-networking-bgpvpn-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-bgpvpn networking-bgpvpn-(8\.\d.*)\.tar\.gz

## networking-bgpvpn 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# OpenStack CI will install the following projects from git
# if they are in the required-projects list for a job:
neutron>=13.0.0.0b1 # Apache-2.0
horizon>=13.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD

=== debian/changelog ===
networking-bgpvpn (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 19:06:29 +0200

networking-bgpvpn (9.0.0~rc1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Add networking-bagpipe as (build-)depends.
  * New upstream release.
  * Fixed (build-)depends for this release.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Ondřej Nový <onovy@debian.org>  Fri, 03 Aug 2018 06:25:45 +0200

networking-bgpvpn (8.0.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jun 2018 23:59:02 +0200

networking-bgpvpn (8.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #897637).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 May 2018 19:52:19 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 python3-django-horizon (>= 3:14.0.0~rc2),
 python3-babel,
 python3-coverage,
 python3-debtcollector (>= 1.2.0),
 python3-django-nose,
 python3-networking-bagpipe,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 subunit,
Standards-Version: 4.1.3
Homepage: http://github.com/openstack/networking-bgpvpn
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-bgpvpn
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-bgpvpn.git

Package: networking-bgpvpn-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.
 .
 This package contains the documentation.

Package: python3-networking-bgpvpn
Architecture: all
Section: python
Depends:
 python3-django-horizon (>= 3:14.0.0~rc2),
 python3-babel,
 python3-debtcollector (>= 1.2.0),
 python3-networking-bagpipe,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bgpvpn-doc,
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/networking_bgpvpn.conf \
		--wrap-width 140 \
		--namespace networking-bgpvpn.service_provider

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabling tests until networking-bagpipe is in Debian ..."
#	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
endif

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bgpvpn-doc/usr/share/doc/networking-bgpvpn-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-bgpvpn/tags .*/(\d[\d\.]+)\.tar\.gz

## networking-bgpvpn 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,5 +14,11 @@
 
 # OpenStack CI will install the following projects from git
 # if they are in the required-projects list for a job:
-neutron>=13.0.0.0b1 # Apache-2.0
-horizon>=13.0.0 # Apache-2.0
+neutron>=13.0.0 # Apache-2.0
+horizon>=14.0.0 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
networking-bgpvpn (10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:40:09 +0100

networking-bgpvpn (10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:56 +0000

networking-bgpvpn (10.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Switch to tracking 10.x series.
  * New upstream milestone for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 09:33:04 +0000

networking-bgpvpn (10.0.0~b1~git2019013122.fdec45b-0ubuntu2) disco; urgency=medium

  * d/control: Bump minimum neutron version to resolve unit test
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:47:52 +0000

networking-bgpvpn (10.0.0~b1~git2019013122.fdec45b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:33:19 +0000

networking-bgpvpn (10.0.0~b1~git2018111649.d6776fd-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/rules,control: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:05:35 +0000

networking-bgpvpn (9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/rules: Add tabs to override_dh_auto_test as tests won't execute without.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:25:42 -0400

networking-bgpvpn (9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/control: Drop duplicate BD's.
  * d/copyright: Tidy.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Aug 2018 11:06:11 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/rules: Amend type in override for dh_auto_install.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Jun 2018 10:27:54 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's and binary packages for py3.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.
    - d/rules: Only execute py2 tests to workaround circular depends
      with networking-bagpipe.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:22:57 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * Align (Build-)Depends with upstream.
  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:21 +0100

=== debian/control ===
Source: networking-bgpvpn
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking (>= 0.12.0),
 python3-networking-bagpipe (>= 8.0.0~),
 python3-neutron (>= 2:14.0.0~b1~git20190131),
 python3-neutron-lib (>= 1.18.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
Standards-Version: 4.1.2

Package: networking-bgpvpn-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-bgpvpn (<< 9.0.0~b2-0ubuntu2~),
Description: BGP-MPLS VPN Extension for OpenStack Networking (common)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package provides common configuration files.

Package: python-networking-bgpvpn-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: BGP-MPLS VPN Extension for OpenStack Networking (common documentation)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This is the common documentation package.

Package: python3-networking-bgpvpn
Architecture: all
Depends:
 networking-bgpvpn-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-debtcollector (>= 1.2.0),
 python3-neutron (>= 2:14.0.0~b1~git20190131),
 python3-neutron-lib (>= 1.18.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-networking-bgpvpn-doc,
Description: BGP-MPLS VPN Extension for OpenStack Networking (Python 3)
 This project provides an API and Framework to interconnect BGP/MPLS VPNs
 to Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely
 used Wide Area Networking technologies. The primary purpose of this project
 is to allow attachment of Neutron networks and/or routers to VPNs built in
 carrier provided WANs using these standard protocols. An additional purpose
 of this project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@  --with python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	rm -rf $(CURDIR)/debian/python*-networking-bgpvpn/usr/etc
	dh_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-networking-bgpvpn-doc/usr/share/doc/python-networking-bgpvpn-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil

override_dh_auto_clean:
	for file in `ls etc/oslo-config-generator/*`; do rm -f etc/neutron/`basename $$file`; done
	dh_auto_clean

## networking-bgpvpn 11.0.0

=== debian/changelog ===
networking-bgpvpn (11.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:40:01 +0200

networking-bgpvpn (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:01:17 +0200

networking-bgpvpn (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 17:55:59 +0200

networking-bgpvpn (10.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Generating the policy file dynamically now.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 17:00:32 +0200

=== debian/control ===
Source: networking-bgpvpn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-debtcollector,
 python3-django-horizon,
 python3-django-nose,
 python3-networking-bagpipe,
 python3-neutron (>= 2:14.0.2),
 python3-neutron-lib (>= 1.25.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.1.3
Homepage: http://github.com/openstack/networking-bgpvpn
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-bgpvpn
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-bgpvpn.git

Package: networking-bgpvpn-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.
 .
 This package contains the documentation.

Package: python3-networking-bgpvpn
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-debtcollector,
 python3-django-horizon,
 python3-networking-bagpipe,
 python3-neutron (>= 2:14.0.2),
 python3-neutron-lib (>= 1.25.0),
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-sphinx,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 networking-bgpvpn-doc,
Description: OpenStack virtual network service - BGP-MPLS VPN Extension - Python 3.x
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides an API and Framework to interconnect BGP/MPLS VPNs to
 Openstack Neutron networks, routers and ports.
 .
 The Border Gateway Protocol and Multi-Protocol Label Switching are widely used
 Wide Area Networking technologies. The primary purpose of this project is to
 allow attachment of Neutron networks and/or routers to VPNs built in carrier
 provided WANs using these standard protocols. An additional purpose of this
 project is to enable the use of these technologies within the Neutron
 networking environment.
 .
 A vendor-neutral API and data model are provided such that multiple SDN
 controllers may be used as backends, while offering the same tenant facing
 API. A reference implementation working along with Neutron reference drivers
 is also provided.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslo-config-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/networking_bgpvpn.conf \
		--wrap-width 140 \
		--namespace networking-bgpvpn.service_provider

	mkdir -p $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d
	PYTHON=python3 PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
		oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/python3-networking-bgpvpn/etc/neutron/policy.d/bgpvpn.conf \
		--format json \
		--namespace networking-bgpvpn

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Disabling tests until networking-bagpipe is in Debian ..."
#	pkgos-dh_auto_test --no-py2 'networking_bgpvpn\.tests.*'
endif

	rm -r $(CURDIR)/debian/tmp/usr/etc

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/networking-bgpvpn-doc/usr/share/doc/networking-bgpvpn-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutil
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:
